function fill() {	// Fonction effectuant la requête AJAX en cliquant sur "fill by Ajax"
	alert("je suis dans la fonction fill qui va effectuer une requette AJAX");
	var xhr=null;
	if (window.XMLHttpRequest) { 
		xhr = new XMLHttpRequest();
	} else if (window.ActiveXObject) {
		xhr = new ActiveXObject("Microsoft.XMLHTTP");
	}

	// function which treat the response when the state of the request change
	xhr.onreadystatechange = function() {
		if (xhr.readyState == 4) { // readyState 4 = request ends
			if (xhr.status == 200) { // status 200 = page requêtée trouvée
				alert("j ai recu la reponse du serveur");
				document.form.price.value = xhr.responseText;
				alert("je modifie le formulaire");
			}
		}
	};

	// Prepare and execute the request
	var url = "http://127.0.0.1:5000/update";
	xhr.open('GET', url, true); // true for asynchronous request
	xhr.send(null);
	alert("j ai envoye la requete GET au serveur");
}

